<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ page contentType="text/html;charset=UTF-8"%>

<c:set var="ipcontactTable" value="ipcontact"/>

<c:if test="${not empty param.cid and not (param.cid == 0)}">
	<sql:query var="rsCampaign" dataSource="jdbc/callcenter">
		SELECT info 
		FROM campanias
		WHERE id = ${param.cid}
	</sql:query>
</c:if>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title>Formulário de creditos directos ${rsCampaign.rows[0].info}</title>
	<link type="text/css" rel="stylesheet" href="include/style-cdirectos.css"/>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

	<script type="text/javascript" src="include/scripts.js"></script>
	<script type="text/javascript" src="include/checks.js"></script>
	<script type="text/JavaScript" src="calendar/scw_pt.js"></script>
	<script type="text/JavaScript" src="calendar/current.js"></script>
</head>

<body onBeforeUnLoad="unload()">

<c:set var="PROMESA_PAGO" value="74"/>

<!--  EMPIEZA LA PÁGINA  -->

<c:choose>
	<c:when test="${empty param.accion}">
	
	<c:if test="${not empty param.id and not (param.id == 0)}">
		<sql:query var="rs" dataSource="jdbc/callcenter">
			SELECT atrnumced, atrnombre, atrapelli, atrnumtel, atrteltra, atrtelbau, atrlocali, atrdomici, atratrtar, atrempres, atratrord,
			atrdeutot, atroritar, atrdolord, atrdoltar, atroriord, atrpesord, atrpestar, atramnnro, atrdeuamn, atrdiatram      
			FROM cdirectos 
			WHERE id_cliente = ${param.id}
		</sql:query>
	</c:if>
	
	<c:if test="${not empty param.cid and not (param.cid == 0)}">
		<sql:query var="rsResultados" dataSource="jdbc/callcenter">
			SELECT *
			FROM campaign_results AS c, llamadas_resultados AS r
        	WHERE c.campaign=${param.cid} AND c.result=r.id and (r.id > 0)
		</sql:query>
	</c:if>
	
	<form method="post" action="cliente_creditosdirectos.jsp" name="formulario">
	
	<h3>${rsCampaign.rows[0].info}</h3>
	<div class="content1">
	
		<table class="dataclient">
			<tr>
				<th class="tit">Datos del cliente con atraso</th>
			</tr>
			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="queryclient">
									<tr class="plain">
										<td class="querylabelc">
											<label>CI:</label>
										</td>
										<td class="queryc">
											${rs.rows[0].atrnumced}
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="queryclient2">
									<tr class="plain">
										<td class="querylabelc">
											<label>Cuenta:</label>
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="queryclient">
									<tr class="plain">
										<td class="querylabelc">
											<label>Teléfono:</label>
										</td>
										<td class="queryc">
											${rs.rows[0].atrnumtel}
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>

			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="queryclient">
									<tr class="plain">
										<td class="querylabelc">
										<label>Nombres:</label>
										</td>
										<td class="queryc">
											${rs.rows[0].atrnombre}
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="queryclient2">
									<tr class="plain">
										<td class="querylabelc"/>
									</tr>
								</table>
							</td>
							<td>
								<table class="queryclient2">
									<tr class="plain">
										<td class="querylabelc">
										<label>Tel trabajo:</label>
										</td>
										<td class="queryc">
											${rs.rows[0].atrteltra}
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="queryclient">
									<tr class="plain">
										<td class="querylabelc">
										<label>Apellidos:</label>
										</td>
										<td class="queryc">
											${rs.rows[0].atrapelli}
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="queryclient2">
									<tr class="plain">
										<td class="querylabelc"/>
									</tr>
								</table>
							</td>
							<td>
								<table class="queryclient" >
									<tr class="plain">
										<td class="querylabelc">
										<label>Tel discado:</label>
										</td>
										<td class="queryroja">
											${param.clientPhone}
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="queryclient">
									<tr class="plain">
										<td class="querylabelc">
										<label>Localidad:</label>
										</td>
										<td class="queryc">
											${rs.rows[0].atrlocali}
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="queryclient2">
									<tr class="plain">
										<td class="querylabelc"/>
									</tr>
								</table>
							</td>
							<td>
								<table class="queryclient">
									<tr class="plain">
										<td class="querylabelc">
										<label>Clearing tar:</label>
										</td>
										<td class="queryc">
											<c:choose>
												<c:when test="${rs.rows[0].atratrtar >= 120}">
													Si
												</c:when>
												<c:otherwise>
													No
												</c:otherwise>
											</c:choose>													
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="queryclient">
									<tr class="plain">
										<td class="querylabelc">
										<label>Domicilio:</label>
										</td>
										<td class="queryc">
											${rs.rows[0].atrdomici}
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="queryclient2">
									<tr class="plain">
										<td class="querylabelc"/>
									</tr>
								</table>
							</td>
							<td>
								<table class="queryclient">
									<tr class="plain">
										<td class="querylabelc">
										<label>Clearing ord:</label>
										</td>
										<td class="queryc">
											<c:choose>
												<c:when test="${rs.rows[0].atratrord >= 95}">
													Si
												</c:when>
												<c:otherwise>
													No
												</c:otherwise>
											</c:choose>		
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="queryclient">
									<tr class="plain">
										<td class="querylabelc">
										<label>Empresa:</label>
										</td>
										<td class="queryc">
											${rs.rows[0].atrempres}
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="queryclient2">
									<tr class="plain">
										<td class="querylabelc"/>
									</tr>
								</table>
							</td>
							<td>
								<table class="queryclient">
									<tr class="plain">
										<td class="querylabelc"/>
										<td class="queryc"/>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>

		<br/>
		<table class="data">
			<tr>
				<th class="tit">Datos de la deuda. Total en $ ${rs.rows[0].atrdeutot}</th>
			</tr>
			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>Tarjeta:</label>
										</td>
										<td class="query">
											<c:choose>
												<c:when test="${rs.rows[0].atroritar eq 'T'}">
													Si
												</c:when>
												<c:otherwise>
													No
												</c:otherwise>
											</c:choose>
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>u$s Orden:</label>
										</td>
										<td class="query">
											${rs.rows[0].atrdolord}
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">		
										<td class="querylabel">
											<label>u$s Tarjeta:</label>
										</td>
										<td class="query">
											${rs.rows[0].atrdoltar}
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>Atr T:</label>
										</td>
										<td class="query">
											<c:set var="data" value="${fn:split(rs.rows[0].atratrtar, '.')}"/>
											${data[0]}
										</td>	
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>Orden:</label>
										</td>
										<td class="query">
											<c:choose>
												<c:when test="${rs.rows[0].atroriord eq 'T'}">
													Si
												</c:when>
												<c:otherwise>
													No
												</c:otherwise>
											</c:choose>
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>$ Orden:</label>
										</td>
										<td class="query">
											${rs.rows[0].atrpesord}
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>$ Tarjeta:</label>
										</td>
										<td class="query">
											${rs.rows[0].atrpestar}
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>Atr O:</label>
										</td>
										<td class="query">
											<c:set var="data" value="${fn:split(rs.rows[0].atratrord, '.')}"/>
											${data[0]}
										</td>	
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			
			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>Amnistia:</label>
										</td>
										<td class="query">
											<c:choose>
												<c:when test="${rs.rows[0].atramnnro != 0}">
													Si
												</c:when>
												<c:otherwise>
													No
												</c:otherwise>
											</c:choose>
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>$ Amnistia:</label>
										</td>
										<td class="query">
											${rs.rows[0].atrdeuamn}
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>Atr Amn:</label>
										</td>
										<td class="query">
											${rs.rows[0].atrdiatram}
										</td>	
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		
		<br/>
		
		<table class="data">
			<input type="hidden" name="uid" value="${param.uid}"/>
			<input type="hidden" name="cid" value="${param.cid}"/>
			<input type="hidden" name="id" value="${param.id}"/>
			<input type="hidden" name="clientPhone" value="${param.clientPhone}"/>
			<c:if test='${not empty param.agent}'>
				<input type="hidden" name="agent" value="${param.agent}"/>
			</c:if>
			<tr>
				<th class="tit">Evaluación de la llamada:</th>
			</tr>
			<tr>
				<td>
 					<table>
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel"><label>Resultado:</label></td>
										<td class="query">
											<select name="call_result" onchange="refreshResultado(this.value, ${PROMESA_PAGO})">
												<option value="" selected="selected">Elegir..</option>
												<c:forEach var="row" varStatus="stat" items="${rsResultados.rows}">
													<c:if test="${param.call_result eq row.id}">
														<c:set var="selected" value="selected=\"selected\""/>
													</c:if>
													<option value="${row.id}" ${selected}>${row.valor}</option>
													<c:set var="selected" value=""/>
												</c:forEach>												
											</select>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		
			
				<tr id="mostrar" style="display:none">
					<td>
 						<table>
							<tr>
								<td>
									<table class="query">
										<tr class="plain">
											<td class="querylabel"><label>Fecha de promesa de pago:</label></td>
											<td class="query">
												<input name="call_fecha" id="call_fecha" type="text" size="10"/>
											</td>
											<td class="query"
												<img src="calendar/calendar.jpg" title="Calendario" alt="Calendario" onclick="scwShow(document.getElementById('call_fecha'),this);" />
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			
			
			<tr>
				<td>
 					<table>
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel"><label>Llamar de nuevo (HH:MM):</label></td>
										<td class="query">
											<input name="currentDate" id="currentDate" type="hidden"/>
											<input name="currentTime" id="currentTime" type="text" size="5"/>
											
											<script type="text/javascript">
											<!--
				    							if (document.formulario.currentDate.value.length == 0)
													document.formulario.currentDate.value=getCurrentDate();
											-->
											</script>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
						
			<tr>
				<td>
 					<table>
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel"><label>Notas:</label></td>
										<td class="query" width="100%">
										<textarea cols="30" rows="3" name="call_notas"></textarea>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>

		<br/>
		
		<table class="action">
			<input type="hidden" name="accion" value="fin"/>
			<tr>
				<td>
					<input class="boton" type="submit" name="submitFin"
		id="submitFin" value="Terminar" onClick="return enviarDatosCliente(this.form,this.form.accion.value);"/>
				</td>
				<td>
					<input class="boton" type="submit" name="submitCancel" id="submitCancel"
		value="Cancelar" onClick="return enviarDatosCliente(this.form,'cancelar');"/>
				</td>

		</table>
		
	</div>
	<div class="content2">
		
		<iframe scrolling="auto" src="creditosdirectos.jsp?id=${param.id}" frameborder="0" height="520" width="308"></iframe>	
			
	</div>
			
	</form>
	</c:when>
	<c:otherwise>
		<c:choose>
			<c:when test="${param.accion eq 'fin'}">
		
				<c:catch var="e">
					<sql:update dataSource="jdbc/callcenter">
						INSERT INTO llamadas
						VALUES ('${param.uid}', '${param.id}', '${param.clientPhone}', '${param.cid}', Now(),'${param.call_result}',null,'${param.call_notas}','${param.agent}')
					</sql:update>
			
					<c:if test="${not empty param.call_fecha}">
						<c:set var="data" value="${fn:split(param.call_fecha, '/')}"/>
						<c:set var="fecha" value="${data[2]}-${data[1]}-${data[0]}"/>
						<sql:update dataSource="jdbc/callcenter">
							UPDATE cdirectos set atrprompago='${fecha}' WHERE id_cliente = '${param.id}'
						</sql:update>
					</c:if>
				
					<sql:query var="rsR" dataSource="jdbc/callcenter">
						SELECT recall 
						FROM llamadas_resultados 
						WHERE id = '${param.call_result}'
					</sql:query>
			
					<c:choose>
						<c:when test="${not empty param.currentTime}">
							<c:set var="datac" value="${fn:split(param.currentDate, '/')}"/>
							<c:set var="call_back" value="${datac[2]}-${datac[1]}-${datac[0]} ${param.currentTime}"/>
				
							<sql:query var="rsAgendadas" dataSource="jdbc/callcenter">
								SELECT * FROM llamadas_agendadas 
								WHERE id = '${param.id}'
								AND id_campania = '${param.cid}'
							</sql:query>
				
							<c:choose>
								<c:when test="${rsAgendadas.rowCount eq \"0\"}">
									<sql:update dataSource="jdbc/callcenter">
										INSERT INTO llamadas_agendadas
										(agente, fecha, telefono, id, id_campania)
										VALUES ('${param.agent}', '${call_back}', '${param.clientPhone}', '${param.id}', '${param.cid}')
									</sql:update>
								</c:when>
								<c:otherwise>
									<sql:update dataSource="jdbc/callcenter">							
										UPDATE llamadas_agendadas SET agente = '${param.agent}', procesada = 0, fecha = '${call_back}', telefono = '${param.clientPhone}'
										WHERE id = '${param.id}' AND id_campania = '${param.cid}'
									</sql:update>				
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${rsR.rows[0].recall}">
							<sql:update dataSource="jdbc/callcenter">
								UPDATE clientes set llamar=1 WHERE id = '${param.id}' AND id_campania = '${param.cid}'
							</sql:update>
						</c:when>
					</c:choose>
				</c:catch>
			</c:when>
			<c:when test="${param.accion eq 'cancelar'}">
				<c:catch var="e">
					
					<sql:update dataSource="jdbc/callcenter">
						UPDATE clientes set llamar=1 WHERE id = '${param.id}' AND id_campania = '${param.cid}'
					</sql:update>
				</c:catch>
			</c:when>
		</c:choose>
		
		<h1>Llamada terminada, espere una nueva invitación</h1>
			
		<c:choose>
			<c:when test="${not empty e}">
				<h2>ATENCIÓN: Se produjeron errores</h2>
				<p>${e}</p>
			</c:when>
			<c:otherwise>
				<script type="text/javascript">
	  			//<!--
	  				window.close();
	  			//-->
	    		</script>
	    	</c:otherwise>	
    	</c:choose>
		
		<% session.invalidate(); %>
	</c:otherwise>
</c:choose>
</div>
	
</body>
</html>
